# Using as a whole feature with the default settings

![Web Social UIKit](/files/rAwJp7g8BYm5L3gkVS9h)

## **Usage**

First, you need to get your api key and authToken from the authorization server. Then, to render the whole social kit:

```javascript
import { AmityUiKitProvider, AmityUiKitSocial } from '@amityco/ui-kit';

function MyApp() {
  return (
    <AmityUiKitProvider
      apiKey={...}
      authToken={...}
      userId="myUserId"
      displayName="myUserName"
    >
      <AmityUiKitSocial />
    </AmityUiKitProvider>
  );
}
```

To render the user feed only:

```javascript
import { PostTargetType } from '@amityco/js-sdk'
import { AmityUiKitProvider, AmityUiKitFeed } from '@amityco/ui-kit';

function UserFeedPage({ user, isMe }) {
  return (
    <AmityUiKitProvider
  	apiKey={...}
  	authToken={...}
  	userId="myUserId"
  	displayName="myUserName"
    >
  	<AmityUiKitFeed
        targetType={isMe ? PostTargetType.MyFeed : PostTargetType.UserFeed}
        targetId={user.userId}
        showPostCreator={isMe}
      />
    </AmityUiKitProvider>
  );
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-uikit/uikit-3/web/social-uikit/using-as-a-whole-feature-with-the-default-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
